Skip to main content
GET
/
research-basic
/
v1
/
basic
/
reports
/
{reportId}
Get a basic research report by report ID
curl --request GET \
  --url https://api.messari.io/research-basic/v1/basic/reports/{reportId} \
  --header 'X-Messari-API-Key: <api-key>'
{
  "data": {
    "assetIds": [
      "<string>"
    ],
    "assets": [
      {}
    ],
    "authors": [
      {}
    ],
    "content": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "hook": "<string>",
    "id": "<string>",
    "publishDate": "2023-11-07T05:31:56Z",
    "readingTimeInMinutes": 123,
    "slug": "<string>",
    "subscriptionTier": "<string>",
    "summary": "<string>",
    "tags": [
      {}
    ],
    "title": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.messari.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

reportId
string<byte>
required

Response

Default response

data
object
required
error
string